/*
 * game.cpp
 *
 *  Created on: 24/mar/2014
 *      Author: bertini
 */

#include <iostream>

#include "Character.h"
#include "Knight.h"
#include "Monster.h"
#include "Sword.h"
#include "Fang.h"
#include "Tile.h"
#include "GameMap.h"

int main() {
	Weapon* sword = new Weapon(3);
	Character* hero = new Knight("Boromir", 36, 1, 6);
	hero->setWeapon(sword);

	Weapon* fang = new Fang(3, false);
	Character* orc = new Monster(30, 1, 1);
	orc->setWeapon(fang);
	orc->setName("orc");

	int damage = hero->fight(*orc);
	if (damage)
		std::cout << "Boromir hits the orc - damage: " << damage << " points" << std::endl;

	Weapon* magicSword = new Sword(7, true);
	hero->setWeapon(magicSword);
	damage = hero->fight(*orc);
	if (damage)
		std::cout << "Boromir hits the orc - damage: " << damage << " points" << std::endl;

	delete hero;
	delete orc;
}
