/*
 * Knight.h
 *
 *  Created on: 15/apr/2013
 *      Author: bertini
 */

#ifndef KNIGHT_H_
#define KNIGHT_H_

#include "Character.h"
#include "Dice.h"

class Knight: public Character {
public:
	Knight(std::string aName, int hp, int l, int d=1, int a=1, int x=0, int y=0);
	virtual ~Knight();

	virtual int fight(Character& enemy);
	virtual void move(int x, int y);

	int getDexterity() const {
		return dexterity;
	}
	void setDexterity(int dexterity) {
		this->dexterity = dexterity;
	}

protected:
	int dexterity;
};

#endif /* KNIGHT_H_ */
